#!/bin/bash

VERSION=$1

UNDER=`echo $VERSION | sed 's/\./_/g'`

rm -rf org.glite.security.util-java
cvs -q -d:pserver:anonymous:@glite.cvs.cern.ch:/cvs/glite checkout \
      -r  glite-security-util-java_R_$UNDER  org.glite.security.util-java
if [ $? != "0" ]  ; then
  echo "Could not check out that version: $VERSION"
  exit 1
fi
find org.glite.security.util-java -type f -print0 | xargs -0 chmod a-x
find org.glite.security.util-java -name CVS -print0 | xargs -0  rm -rf
rm -rf org.glite.security.util-java/src/org/glite/security/voms
rm -rf org.glite.security.util-java/test
tar cvfz glite-security-util-java-$VERSION.tar.gz org.glite.security.util-java

